Name:           fluxstyle
Version:        1.0.1
Release:        %mkrel 3
Summary:        A graphical style manager for Fluxbox
Group:          Graphical desktop/Fluxbox
License:        GPL
URL:            http://fluxstyle.berlios.de
Source0:        http://errr-online.com/%{name}/%{version}/%{name}-%{version}.tar.xz
Source1:	fluxstyle-16.png
Source2:	fluxstyle-32.png
Source3:	fluxstyle-48.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
BuildRequires:  python >= 2.6, pygtk2.0-libglade, pygtk2.0, desktop-file-utils, python-devel
Requires:       python >= 2.6, pygtk2.0, pygtk2.0-libglade, fluxbox >= 0.9.15
Requires:       glibc >= 2.10.1
Requires:       libstdc++6 >= 4.4.1
Obsoletes:	%name < %version

%description
fluxstyle is a graphical style manager for the fluxbox window manager.
fluxstyle is written in python using pygtk and glade, you can use it to preview, add, remove and apply styles in fluxbox.

#german
%description -l de
fluxstyle ist ein grafischer Themen-Manager für den Fluxbox Window-Manager. 
fluxstyle nutzt Python und Glade und ist in Python geschrieben. Mit dem fluxstyle 
kann man die heruntergeladenen Themes verwalten.

#french
%description -l fr
fluxstyle est un gestionnaire de style graphique pour le gestionnaire de fenêtres Fluxbox. 
fluxstyle est écrit en Python avec Glade et PyGTK, vous pouvez l'utiliser 
de visionner, ajouter, supprimer et appliquer des styles de Fluxbox.

#spanish
%description -l es
fluxstyle es un gestor de estilo gráfico para el gestor de ventanas Fluxbox. 
fluxstyle está escrito en Python usando PyGTK y Glade, se puede utilizar 
de antemano, añadir, eliminar y aplicar estilos de fluxbox.

#polish
%description -l pl
fluxstyle is a graphical style manager for the fluxbox window manager.
fluxstyle is written in python using pygtk and glade, you can use it to preview, add, remove and apply styles in fluxbox.

#serbian
%description -l sr
флуксстыле је графички стил менаџер Флуксбокс менаџера прозора. 
флуксстыле је написан у Пытхон користећи пыгтк и Гладе, можете га користити 
да прегледате, додате, уклоните га и примените стилове на Флуксбокс.

#dutch
%description -l nl
fluxstyle is een grafische stijl manager voor de Fluxbox window manager. 
fluxstyle is geschreven in python gebruik pygtk en glade, kunt u deze gebruiken 
te bekijken, toevoegen, verwijderen en stijlen van toepassing in fluxbox.

%prep
%setup -q

sed -i s,"mini-fluxbox6.png","../images/mini-fluxbox6.png", images/main.glade
sed -i s,"fluxmetal.png","../images/fluxmetal.png", images/main.glade
%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Flux Style Manager
Comment=Graphical Style Manager
Exec=%{_bindir}/fluxStyle
Icon=fluxstyle.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-System-Configuration-Other;Settings;
EOF

mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 %SOURCE1 %{buildroot}%_miconsdir/%{name}.png
install -m 0644 %SOURCE2 %{buildroot}%_iconsdir/%{name}.png
install -m 0644 %SOURCE3 %{buildroot}%_liconsdir/%{name}.png


#clean up docs
rm -rf %{buildroot}%{_datadir}/%{name}/docs

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc docs/Changelog docs/LICENSE docs/README
%{_bindir}/fluxStyle

%dir %{python_sitelib}/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/glade/
%dir %{_datadir}/%{name}/images/

%{python_sitelib}/%{name}/parseConfig.py
%{python_sitelib}/%{name}/errorMessage.py
%{python_sitelib}/%{name}/findStyles.py
%{python_sitelib}/%{name}/__init__.py

%{_datadir}/%{name}/glade/main.glade
%{_datadir}/%{name}/images/*.png
%{_datadir}/%{name}/images/none.jpg
%{python_sitelib}/fluxstyle-%{version}-py%{py_ver}.egg-info
%{_datadir}/applications/fluxstyle.desktop
%_miconsdir/%{name}.png
%_iconsdir/%{name}.png
%_liconsdir/%{name}.png

%changelog
* Sat Sep 11 2010 Texstar <texstar at gmail.com> 1.0.1-3pclos2010
- rebiuld

* Mon Oct 05 2009 Neal <nealbrks0@gmail.com> 1.0.1-2pclos2010
- gcc update

* Sun May 25 2009 Texstar <texstar@gmail.com> 1.0.1-1pclos2009
- create package

